Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
BooleanQuery.h File Reference
`#include "Query.h"`
`#include "BooleanClause.h"`
`#include "Weight.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::BooleanQuery
| A Query that matches documents matching boolean combinations of other queries, eg. `TermQuery`s, `PhraseQuery`s or other BooleanQuerys. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net